const listarPersonal = (selectorName) => {
	initSelect2(selectorName, baseURLRest + URI_TRABAJADORES, {title: "nombresapellidos", subtitle: "documentoidentidad"});
};

const listarTipoJustificacion = (nodeIdentifier) => {
	ajaxWebService.get(URI_JUSTIFICACION_TIPO).then((response) => {
		let data = response.data
		let html = "<option>[SELECCIONE]</option>"
		html += data.map((tipoJustificacion) => `<option value="${tipoJustificacion.id}">${tipoJustificacion.descripcion}</option>`)
		$(nodeIdentifier).html(html)
	})
}

const formControls = {
	init() {
		this.initializeRadioButton()
		this.initializeChooseFile()
		pickersNoConflict()
		initDateRangePicker("#dpRangoFechas")
	},
	initializeRadioButton() {
		$(".styled, .multiselect-container input").uniform({
			radioClass: 'choice'
		});
	},
	initializeChooseFile() {
		$(".file-styled-primary").uniform({
			fileButtonClass: 'action btn bg-blue'
		});
	}
}



$(document).ready(function () {
	formControls.init()
	listarTipoJustificacion("#cboTipoJustificacion")
	listarPersonal("#cboPersonal")
});